> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Create Discussion > Creates a new discussion for the room. It requires at least one of the following permissions: `start-discussion` OR `start-discussion-other-user`, AND must be with the following setting enabled: `Discussion_enabled`. The caller must be a member of the parent room. Apps are exempt from this check. When **Force end-to-end encryption on private rooms** is enabled, you cannot create a discussion under an unencrypted private room. Make the parent room public or enable encryption on it before creating the discussion. ### Changelog | Version | Description | | ------- | --------------------------------------------------------------------------------------------- | | 9.0.0 | Requires the caller to be a member of the parent room. Apps are exempt. | | 8.8.0 | Added forced encryption checks for private-room discussions. | | 1.0.0 | Added | ## OpenAPI ````json POST /api/v1/rooms.createDiscussion { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/rooms.createDiscussion": { "post": { "tags": [ "Rooms" ], "summary": "Create Discussion", "description": "Creates a new discussion for the room. It requires at least one of the following permissions: `start-discussion` OR `start-discussion-other-user`, AND must be with the following setting enabled: `Discussion_enabled`.\nThe caller must be a member of the parent room. Apps are exempt from this check.\n\nWhen **Force end-to-end encryption on private rooms** is enabled, you cannot create a discussion under an unencrypted private room. Make the parent room public or enable encryption on it before creating the discussion.\n\n### Changelog\n| Version | Description |\n| ------- | --------------------------------------------------------------------------------------------- |\n| 9.0.0 | Requires the caller to be a member of the parent room. Apps are exempt. |\n| 8.8.0 | Added forced encryption checks for private-room discussions. |\n| 1.0.0 | Added |", "operationId": "post-api-v1-rooms.createDiscussion", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "prid": { "type": "string", "description": "Parent room ID of the discussion." }, "t_name": { "type": "string", "description": "Discussion name." }, "users": { "type": "array", "items": { "type": "string" }, "description": "Array of users to join in the discussion, if not provided, it will be an empty array. (Note: if provided, it must be an array)." }, "pmid": { "type": "string", "description": "Parent message ID (if the discussion comes from a message)." }, "reply": { "type": "string", "description": "The reply of the discussion." } }, "required": [ "prid", "t_name" ] }, "examples": { "Example": { "value": { "prid": "GENERAL", "t_name": "Discussion Name" } } } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "discussion": { "type": "object", "properties": { "rid": { "type": "string" }, "name": { "type": "string" }, "fname": { "type": "string" }, "t": { "type": "string" }, "msgs": { "type": "integer" }, "usersCount": { "type": "integer" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } }, "topic": { "type": "string" }, "prid": { "type": "string" }, "ts": { "type": "string" }, "ro": { "type": "boolean" }, "sysMes": { "type": "boolean" }, "default": { "type": "boolean" }, "_updatedAt": { "type": "string" }, "_id": { "type": "string" } } }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "discussion": { "rid": "cgk88DHLHexwMaFWh", "name": "WJNEAM7W45wRYitHo", "fname": "Discussion Name", "t": "p", "msgs": 0, "usersCount": 0, "u": { "_id": "rocketchat.internal.admin.test", "username": "rocketchat.internal.admin.test" }, "topic": "general", "prid": "GENERAL", "ts": "2019-04-03T01:35:32.271Z", "ro": false, "sysMes": true, "default": false, "_updatedAt": "2019-04-03T01:35:32.28Z", "_id": "cgk88DHLHexwMaFWh" }, "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" }, "details": { "type": "object", "properties": { "method": { "type": "string" } } } } }, "examples": { "Private room encryption is enforced": { "value": { "success": false, "error": "Workspace policy requires all private rooms to be encrypted. To create this discussion, make the parent channel public or enable encryption on it. [error-encrypted-private-rooms-enforced-discussion]", "errorType": "error-encrypted-private-rooms-enforced-discussion" } }, "Not a member of the parent room": { "value": { "success": false, "error": "You must join the room to create a discussion [error-user-not-in-room]", "errorType": "error-user-not-in-room", "details": { "method": "DiscussionCreation" } } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } } } } } ````